------------------------------
-- Localize Lua Globals
------------------------------
local _G = getfenv(0)
local select = _G.select

------------------------------
-- Addon Namespace
------------------------------
local LibStub = LibStub

local MODNAME = "Skill Guide"
local L       = LibStub("AceLocale-3.0"):GetLocale(MODNAME)
local private = select(2, ...)

-- @class table
-- @name colors
-- @field convert colors from their name to their hex string
private.colors = {
   ["TURQUOISE"]  = "|cFF40E0D0",
   ["ORANGE"]     = "|cFFFFA500",
   ["TRIVIAL"]    = "|808080",
   ["EASY"]       = "|40bf40",
   ["MEDIUM"]     = "|ffff00",
   ["OPTIMAL"]    = "|ff8040",
   ["IMPOSSIBLE"] = "|ff0000",
}

-- @class table
-- @name constants
-- @field assigns a value to a tradeskill recipie
private.constants = {
   ["optimal"] = 3,
}